Functions

# ai_bridge.cpp File Reference

Implementation of AIBridge. More...

`#include "../../stdafx.h"`
`#include "ai_bridge.hpp"`
`#include "ai_rail.hpp"`
`#include "../ai_instance.hpp"`
`#include "../../bridge_map.h"`
`#include "../../strings_func.h"`
`#include "../../economy_func.h"`
`#include "../../date_func.h"`

Go to the source code of this file.

## Functions
static void | _DoCommandReturnBuildBridge2 (class AIInstance *instance)
| Helper function to connect a just built bridge to nearby roads.
static void | _DoCommandReturnBuildBridge1 (class AIInstance *instance)
| Helper function to connect a just built bridge to nearby roads.

## Detailed Description

Implementation of AIBridge.

Definition in file ai_bridge.cpp.

## Function Documentation

static void _DoCommandReturnBuildBridge1 | ( | class AIInstance * | instance | ) | `[static]`

Helper function to connect a just built bridge to nearby roads.

Parameters:

  | instance | The AI we have to built the road for.

Definition at line 58 of file ai_bridge.cpp.

References AIBridge::_BuildBridgeRoad1(), and AIInstance::DoCommandReturn().

Referenced by AIBridge::BuildBridge().

static void _DoCommandReturnBuildBridge2 | ( | class AIInstance * | instance | ) | `[static]`

Helper function to connect a just built bridge to nearby roads.

Parameters:

  | instance | The AI we have to built the road for.

Definition at line 42 of file ai_bridge.cpp.

References AIBridge::_BuildBridgeRoad2(), and AIInstance::DoCommandReturn().

Referenced by AIBridge::_BuildBridgeRoad1().